2002-01-06  Kjartan Maraas  <kmaraas@gnome.org>

	* popt.c, popthelp.c: #include <libintl.h> to get rid of warnings.
	Fixes #66557.
	
2001-09-13  Havoc Pennington  <hp@redhat.com>

	* Makefile.am (gnomeincludedir): move popt-gnome.h to includedir/gnome-1.0

2001-06-14  Miguel de Icaza  <miguel@ximian.com>

	From David KAELBLING:

	* gnomesupport.awk: Generate proper declarations for SGI. 

	* vsnprintf.c: Add SGI IRIX 6.5 support, by defining size_t as
	ssize_t which is what vsnprintf uses.

2000-02-26  Changwoo Ryu  <cwryu@idis.co.kr>

	* poptint.h: Replaced `HAVE_DGETTEXT' cpp flag with
	`HAVE_GETTEXT'.  The standalone popt defines the flag in
	./configure script directly, while gnome does not.

1999-05-27  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport.awk: Put c++ guards after #includes.

	* gnomesupport-fake.h: Remove dependence on `gnome-argp.h'.  Move
	relevant declarations here.

1999-05-12  Martin Baulig  <martin@home-of-linux.org>

	* canonicalize.c: Use `set_errno' instead of `__set_errno' and
	define `set_errno' here.

1999-03-27  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (supportexecincludedir): Rename from
	supportincludedir so that `gnomesupport.h' can be installed with
	`make install-exec'.
	(supportinclude_HEADERS): Remove.  Don't install popt-gnome.h
	twice.
	(error.o): Change `error.c: gnomesupport.h' dependency to
	`error.o: gnomesupport.h' to reflect actual dependency.

1999-02-19  Martin Baulig  <martin@home-of-linux.org>

	* canonicalize.c: Include <gnome-argp.h> instead of the removed
	<argp-namefrob.h>.

1999-02-17  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* poptint.h: Removed the suspicious `#ifdef HAVE_DGETTEXT...'
	switch.  Now `progname --help' messages should be translated.

1998-12-24  Jeff Garzik  <jgarzik@pobox.com>

	* poptparse.[ch]:  poptParseArgvString cleanups...
	Added array grow increment constant.
	Remove unnecessary 'dst' init.
	Remove unnecessary strcpy().
	Make arg 's' and var 'src' const-correct.

1998-12-21  Matt Wilson  <msw@redhat.com>

	* poptparse.c: fix pointer assignment

1998-12-16  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* Makefile.am (libgnomesupport_la_SOURCES): added gnome-argp.c,
	which is needed for platforms without
	program_invocation_short_name and program_invocation_name.
	(libgnomesupport_la_LIBADD): reinstalled the correct value.

1998-12-15  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am (EXTRA_DIST): Add all source and header files here.

1998-12-02  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (EXTRA_DIST): Add back `gnomesupport.awk' and
	`README-gnome'. 

1998-11-06  Raja R Harinath  <harinath@cs.umn.edu>

	* popt.c (gnomesupport-fake.h): Include.
	* poptint.h (ENABLE_NLS): Define POPT_() and _() i18n markers
	based on this.

1998-11-04  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport-fake.h: Include gnomesupport.h unconditionally.
	* Makefile.am: Build libgnomesupport.la unconditionally.
	(popt_sources): List `popt' sources.
	(libgnomesupport_la_SOURCES): Include $popt_sources.
	(include_HEADERS): Install `popt.h'.
	(noinst_HEADERS): Don't install poptint.h and findme.h.
	* popt.c: New file.  From the POPT package.  Replacement for
	argp/getopt.
	* poptparse.c: Likewise.
	* popthelp.c: Likewise.
	* poptconfig.c: Likewise.
	* findme.c: Likewise.
	* findme.h: Likewise.
	* popt.h: Likewise.
	* poptint.h: Likewise.
	
1998-09-02  Raja R Harinath  <harinath@cs.umn.edu>

	* canonicalize.c (realpath): Remove `weak_alias'.
	(canonicalize_file_name): Comment out.

	* gnomesupport.awk: Remove `canonicalize_file_name', and correct
	the comment for `realpath'.

1998-09-02  Martin Baulig  <martin@home-of-linux.org>

	* gnomesupport.awk (canonicalize_file_name, realpath): Emit
	declarations if required.

	* canonicalize.c (canonicalize_file_name, realpath): New file.
	Imported from GLibC 2.0.7.

	* libc-symbols.h: New file. Imported from GLibC 2.0.7.

1998-08-24  Martin Baulig  <martin@home-of-linux.org>

	* gnomesupport.awk: Emit declarations for `setreuid', `setregid'
	and `getpagesize' if required (GCC_NEED_DECLARATIONS).

1998-08-18  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am: Added explicit dependency `error.c: gnomesupport.h'.

	* gnomesupport-fake.h: Include `sys/types.h' to get `size_t' under
	FreeBSD.

	* gnomesupport-fake.h: Include `gnomesupport.h' only if we really
	`NEED_GNOMESUPPORT_H'.

1998-08-16  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am (EXTRA_DIST): Added all source and header files that
	are in CVS to make sure everything is included in the distribution
	no matter which files are used on the build system.

1998-08-15  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (libgnomesupport_la_SOURCES): List `gnomesupport.h'
	here in the hope that it'll ensure that it is built.

1998-08-05  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (noinst_HEADERS): Add `gnomesupport-fake.h'.

1998-08-02  Raja R Harinath  <harinath@cs.umn.edu>

	* error.c (program_name): Clean up #ifdef logic some more.
	(HAVE_STRERROR_R): Step on implementation namespace only if _LIBC.

1998-07-30  Martin Baulig  <martin@home-of-linux.org>

	* error.c: Making weak alias `__error' and `__error_at_line'
	only if `_LIBC' is defined and not if we only
	HAVE_PROGRAM_INVOCATION_NAME.

	* gnomesupport-fake.h: Include gnome-argp.h to get
	`program_invocation_name'.

1998-07-29  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport-fake.h: New file.  Fake in HAVE_* for functions
	that are provided by `gnomesupport' rather than `libc'.
	* error.c: Include gnomesupport-fake.h.
	(program_name): Define to `program_invocation_name' if 
	HAVE_PROGRAM_INVOCATION_NAME.

1998-07-29  Martin Baulig  <martin@home-of-linux.org>

	* error.c, error.h: New files.  Imported from glibc.

	* Makefile.am (supportinclude_HEADERS): Added `error.h'.

1998-07-17  Martin Baulig  <martin@home-of-linux.org>

	* strtol.c, strtoul.c (<ansidecl.h>): Removed. Using
	`const' instead of `CONST'.

1998-07-15  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport.awk (gethostname): Emit declaration.

1998-07-15  Martin Baulig  <baulig@Stud.Informatik.uni-trier.de>

	* gnomesupport.awk (memmove strtod strtol strtoul): Emit
	declarations.

	* memmove.c: New file.  Imported from GNU libiberty.

	* strtod.c, strtol.c, strtoul.c: New files. Imported from
	GNU libiberty.

1998-07-14  Raja R Harinath  <harinath@cs.umn.edu>

	* mkstemp.c (<stdint.h>): Systems that don't have `mkstemp'
	probably don't have <stdint.h> either.  Will fix it with a proper
	autoconf test later.

1998-07-13  Raja R Harinath  <harinath@cs.umn.edu>

	* argp.h (ARGP_EI): Define to `extern __inline__', rather that
	`extern inline'.  Since this code is inside an __OPTIMIZE__ check,
	I assume this is GCC, and __inline__ will work.

	* mkstemp.c: New file.
	* gnomesupport.awk: Conditionally emit prototype for `mkstemp'.

Tue Jul  7 00:02:51 1998  Tom Tromey  <tromey@cygnus.com>

	* argp-help.c: Don't include <malloc.h>.

1998-06-11  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (gnomesupport.h): Build with `gnomesupport.awk'.
	(CROSS_COMPILING): Remove.
	(EXTRA_DIST): Add `gnomesupport.awk'.

	* gnomesupport.awk: New file, to replace `gnomesupport-h.c'.
	* gnomesupport-h.c: Removed.  Doesn't work well in cross-compiles.

1998-06-08  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am (gnomesupport-h): When cross-compiling, this
	is build using `$(build_CC)' because it needs to run on the
	build system. Look at gnome-libs/configure.in to see how to
	get `build_CC'.

Thu May 21 21:21:12 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-argp.h: Unconditionally declare program_invocation_name
	and program_invocation_short_name; some systems define these but
	don't declare them.

1998-05-20  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (INCLUDES): Define _GNU_SOURCE.

1998-05-19  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport-h.c (strerror): Emit declaration.
	* strerror.c: New file.  Imported from GNU libiberty.

1998-05-19  Martin Baulig  <martin@home-of-linux.org>

	* vsnprintf.c (vsnprintf): Changed declaration of this
	function on systems defining __STDC__ to avoid clash
	with prototype in system header file.

	* vsnprintf.c (snprintf): Moved toward the end of the
	file, so that the compiler sees correct declaration for
	vsnprintf().

1998-05-12  Kjartan Maraas  <kmaraas@fib.hl.no>

	* argp-help.c (argp_doc): Backed out previous "fix". :-)
	As pointed out it was dead wrong.
	
1998-05-09  Kjartan Maraas  <kmaraas@fib.hl.no>

	* argp-help.c (argp_doc): Removed a compiler warning.

1998-04-14  Raja R Harinath  <harinath@cs.umn.edu>

	* gnomesupport-h.c (main): Make gnomesupport.h include stddef.h
	unconditionally. 

1998-04-13  Raja R Harinath  <harinath@cs.umn.edu>

	* scandir.c (<sys/types.h>): Include.
	* gnomesupport-h.c (!HAVE_SCANDIR): Do all the `dirent' wrangling
	only if `scandir' is needed.  Also, include <sys/types.h> in all
	cases. 

1998-04-13  Seth Alves  <alves@twitch.cp.domain.net>

	* gnomesupport-h.c (HAVE_DIRENT_H): FreeBSD needs <sys/types.h>
	before <dirent.h>.
	
1998-04-12  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (supportincludedir): Is now $(pkglibdir)/include.
	`gnomesupport.h' is a generated file dependent on the configure
	process.  So, this seems a good place.  The rest of the headers
	are also here just because I'm too lazy to maintain two separate
	include directories to search in for `libgnomesupport' stuff ;-)
	(supportinclude_DATA): New var.  Has `gnomesupport.h'.
	(BUILT_SOURCES): Generate `gnomesupport.h'.

	* gnomesupport-h.c: New file.  Used to generate `gnomesupport.h',
	which contains prototypes for many of the functions in
	`libgnomesupport'.  This method is used to ensure that prototypes
	appear only for those functions that are provided by
	`libgnomesupport'. 

	* scandir.c (alphasort): New utility function.

1998-04-08  Raja R Harinath  <harinath@cs.umn.edu>

	* scandir.c: Import from GNU libc.
	Remove assumptions that this file is compiled inside GLIBC.
	Here are the ChangeLog entries when I imported it originally into
	`gwp':

	1998-02-08  Raja R Harinath  <harinath@cs.umn.edu>
        	* scandir.c (scandir): Revert change of `1998-02-07'.  
		Don't use d_reclen, but fix the expression used to
		figure out the length.

	1998-02-07  Raja R Harinath  <harinath@cs.umn.edu>
	        * scandir.c (scandir): Use `d_reclen' field to get length
		of record.

	1998-02-06  Raja R Harinath  <harinath@cs.umn.edu>
	        * scandir.c: New file.  Replacement function copied from
		glibc, edited to not step on implementation namespace.

1998-03-28  Raja R Harinath  <harinath@cs.umn.edu>

	* vasprintf.c (int_vasprintf): Imported from GNU libit-0.4.
	Applied a change that appears in `libiberty'.

Fri Mar 13 21:30:34 1998  Tom Tromey  <tromey@cygnus.com>

	* argp.texi: Imported from glibc.
	* Makefile.am (EXTRA_DIST): Added argp.texi.

1998-03-12  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (noinst_HEADERS): Don't install argp-fmtstream.h and
	argp-namefrob.h.  They are used only to compile `argp' and not for
	general usage.

1998-03-11  Raja R Harinath  <harinath@cs.umn.edu>

	* getopt.h: Don't mention getopt() for C++.  (Local fix).

	* vsnprintf.c: Actually fill it in.  It is from
	<URL:http://theos.com/~deraadt/snprintf.c>, with one small fix to
	actually make it compile. 

1998-03-09  Raja R Harinath  <harinath@cs.umn.edu>

	* easy-vsnprintf.c: New file.  Provides (v)snprintf as simple
	wrappers to `__vsnprintf'.  
	* vsnprintf.c: New file.  Empty for now.

Sun Mar  8 17:13:33 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am: Rewrote.  Library now named libgnomesupport, now
	installed if Gnome support code is built.

Sat Mar  7 00:03:26 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-argp.h (__mempcpy): New define.

	* strnlen.c: New file from glibc; needed by strndup.c.

Fri Mar  6 20:10:55 1998  Tom Tromey  <tromey@cygnus.com>

	* argp-fmtstream.h (__attribute__): Define unless using gcc.
	* argp.h (__attribute__): Define unless using gcc.

	* argp-help.c, argp-parse.c, argp.h: Imported new versions from
	glibc, while preserving local changes.

Wed Mar  4 00:58:27 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (libsupport_a_SOURCES): Added gnome-argp.c.
	* gnome-argp.c: New file.

	* argp-parse.c: Include gnome-argp.h.
	* argp-help.c: Include gnome-argp.h.

	* README-gnome, gnome-argp.h: New files.

	* argp-ba.c, argp-eexst.c, argp-fmtstream.c, argp-fmtstream.h,
	argp-fs-xinl.c, argp-help.c, argp-namefrob.h, argp-parse.c,
	argp-pv.c, argp-pvh.c, argp-test.c, argp-xinl.c, argp.h,
	strndup.c: New files, imported from glibc.  Please use "cvs
	import" if you import new versions.

	* Makefile.am (noinst_HEADERS): Added argp-fmtstream.h,
	argp-namefrob.h, argp.h, gnome-argp.h.
	(EXTRA_DIST): New macro.

1998-02-18  Raja R Harinath  <harinath@cs.umn.edu>

	* strcasecmp.c: New file, copied from `glibc'.  Used to provide
	replacement `strcasecmp' file.
	

